lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000003lxdreamPVR2public2006-07-03 19:092006-08-07 03:22
Reporternkeynes 
Assigned Tonkeynes 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000003: Implement TA vertex compiler
DescriptionCurrent TA implementation is very Q+D, although it works with most apps that don't touch the poly lists/tile maps directly. There's a test case failure with the KOS render speed test though, caused by the fact that the test expects the compiled vertex list to be smaller than it is at the moment.

We need to
1. Determine (and document) the mapping from TA objects to compiled poly objects
2. Implement this in the the TA code
3. Rewrite the renderer to work from the compiled objects rather than the TA lists.

While this is not in itself a high priority, it will need to be done eventually for accuracy and currently blocks a lot of other renderer work that would otherwise need to be rewritten when the renderer is changed as here.

Also note that this would also clean up the current bg-plane hack (which uses a compiled poly structure)
TagsNo tags attached.
Milestone
Attached Files

- Relationships

-  Notes
(0000002)
anonymous (viewer)
2006-08-01 21:14

Initial commit to cvs:
lxdream/src/Makefile.am,v
new revision: 1.26; previous revision: 1.25
lxdream/src/Makefile.in
new revision: 1.23; previous revision: 1.22
lxdream/src/asic.h
new revision: 1.13; previous revision: 1.12
lxdream/src/pvr2/pvr2.c
new revision: 1.28; previous revision: 1.27
lxdream/src/pvr2/pvr2.h
new revision: 1.15; previous revision: 1.14
lxdream/src/pvr2/pvr2mmio.h
new revision: 1.4; previous revision: 1.3
lxdream/src/pvr2/rendcore.c
initial revision: 1.1
lxdream/src/pvr2/render.c
new revision: 1.11; previous revision: 1.10
lxdream/src/pvr2/ta.c
new revision: delete; previous revision: 1.3
lxdream/src/pvr2/tacore.c
initial revision: 1.1

There's a few outstanding compliance issues, but functionally looks to be at least on par with the previous implementation (plus correctly parsing everything now).
(0000003)
nkeynes (administrator)
2006-08-03 19:03

Memory management looks to be 100% now. Outstanding feature issues:
* Tile clip
* Re-initialize mode

Outstanding (known) bug-compliance issues:
* Polygon header in the middle of a vertex list (breaks horribly)
* Vertexes outside of a list context (looks like modifier list processing)
* Certain combinations of flags that raise a "bad input" exception.
(0000005)
nkeynes (administrator)
2006-08-07 03:22

Tile clip implemented (not fully bug-compatible yet)
Unable to get the "reinit" register to do anything useful - postponing until I have a working example.

Closing this bug and raising the bug-compatibility issues as a separate (much lower priority) bug.

- Issue History
Date Modified Username Field Change
2006-07-03 19:09 nkeynes New Issue
2006-07-03 19:10 nkeynes Assigned To => nkeynes
2006-07-03 19:10 nkeynes Status new => assigned
2006-07-03 19:10 nkeynes Description Updated
2006-07-10 19:09 nkeynes Projection none => major rework
2006-07-10 19:09 nkeynes ETA none => < 1 month
2006-08-01 21:14 anonymous Note Added: 0000002
2006-08-03 19:03 nkeynes Note Added: 0000003
2006-08-07 03:22 nkeynes Status assigned => closed
2006-08-07 03:22 nkeynes Note Added: 0000005
2006-08-07 03:22 nkeynes Resolution open => fixed
.